Package: org.gradle.api.plugins

## [Java] Class ProjectReportsPlugin

- org.gradle.api.plugins.ProjectReportsPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class ProjectReportsPlugin
      extends Object

  A Plugin which adds some project visualization report tasks to a project.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEPENDENCY_REPORT` |
    `static String` | `HTML_DEPENDENCY_REPORT` |
    `static String` | `PROJECT_REPORT` |
    `static String` | `PROPERTY_REPORT` |
    `static String` | `TASK_REPORT` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String DEPENDENCY_REPORT

    - #### public static final String HTML_DEPENDENCY_REPORT

    - #### public static final String PROJECT_REPORT

    - #### public static final String PROPERTY_REPORT

    - #### public static final String TASK_REPORT

  - ### Method Detail

    - #### public void apply(Project project)